<?php 

$timelast = ROOT . 'system/tmp/timelast.dat';
$timethis = ROOT . 'system/tmp/timethis.dat';
$betlist = ROOT . 'system/tmp/betlist.dat';
$gamelast = 'system/tmp/gamelast.dat';

$types = array(1 => 'blue', 2 => 'green', 3 => 'red', 4 => 'yellow'); 
            
if (!is_file($gamelast)) {
    @file_put_contents($gamelast, json_encode(array())); 
}

if (is_file($timelast) && filemtime($timelast) <= (time() - 35)) {
    @unlink($timelast); 
    @unlink($timethis); 
    file_put_contents($timelast, 539); 
}

if (!is_file($betlist)) {
    @file_put_contents($betlist, json_encode(array())); 
}

else {
    $bets = json_decode(file_get_contents($betlist), 1);
}

$reboot = 0; 
$lastPosition = 539;

if (is_file($timelast)) {
    $reboot = (fileatime($timelast) + 30 - time()) * 1000 - 200; 
    $lastPosition = ((int) file_get_contents($timelast));
}

?>
<div class="game">
  <div class="fre">
    <div class="tablo">
      <div class="tablo-item">
        <div class="tablo-count" id="cnt-online"><?php echo $counters['online']; ?></div>
        <div class="tablo-name">Онлайн</div>
      </div>
      <div class="tablo-item">
        <div class="tablo-count" id="cnt-users"><?php echo $counters['users']; ?></div>
        <div class="tablo-name">Пользователей</div>
      </div>
      <div class="tablo-item">
        <div class="tablo-count" id="cnt-tour"><?php echo $counters['tour']; ?></div>
        <div class="tablo-name">Игр сыграно</div>
      </div>
    </div>
  </div>
  
  <img class="bg" src="/theme/img/egypt-bg.png?ver=3" />
  <div class="game-bg-f">
    <div class="game-content">
      <div class="last-game" id="last-game">
        <?php 
        $lastGames = json_decode(@file_get_contents($gamelast), 1); 
        
        if ($lastGames) {
            foreach($lastGames AS $type) {
                echo '<img src="/theme/img/' . $type . '.png" />';
            }
        }
        ?>
      </div>

      <div class="reboot">
        <div id="reboot" class="reboot-progress" data-reboot="<?php echo $reboot; ?>"></div>
        <div id="reboot-info">Старт игры...</div>
      </div>
      <div class="game-roulette">
        <div class="box-overflow">
          <ul id="roulette" style="margin-left: -<?php echo $lastPosition; ?>px;">
            <?php 
            $tepl = array(2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1, 3, 2, 1, 
                          2, 1, 3, 2, 4, 1, 4, 3, 2, 1); 
            
            foreach($tepl AS $key => $value) 
            {
                echo '<li><span class="shadow-' . $types[$value] . '"></span><img src="/theme/img/' . $value . '.png"></li>';        
            }
            ?>
          </ul>
          <div class="process"></div>
        </div>
      </div>
      <div class="step">
        <div class="bet-links">
          <div class="bet">
            <input id="bet" type="text" value="100" min="0" max="10000" disabled="" />
          </div>
        </div>
        <div class="bet-links">
          <a onclick="betAction(0)">Clear</a> 
          <a onclick="betAction(5)">+5</a>
          <a onclick="betAction(10)">+10</a>
          <a onclick="betAction(100)">+100</a>
          <a class="hidden-480" onclick="betAction(1000)">+1000</a>
          <a class="hidden-320" onclick="betAction('x2')">X2</a>
          <a class="hidden-480" onclick="betAction('max')">MAX</a>
        </div>
      </div>
      
      <div class="x-bet" id="x-bet">
        <div class="x-bet-item">
          <a class="blue" onclick="addBet('1')">X2</a>
        </div>
        <div class="x-bet-item">
          <a class="green" onclick="addBet('2')">X3</a>
        </div>
        <div class="x-bet-item">
          <a class="red" onclick="addBet('3')">X5</a>
        </div>
        <div class="x-bet-item">
          <a class="yellow" onclick="addBet('4')">X50</a>
        </div>
      </div>
      
      <div class="x-bet x-user">
        <div class="x-bet-item" id="sp1">
        </div>
        <div class="x-bet-item" id="sp2">
        </div>
        <div class="x-bet-item" id="sp3">
        </div>
        <div class="x-bet-item" id="sp4">
        </div>
      </div>
    </div>
  </div>
</div>

<audio id="audio" preload="auto"> 
  <source src="/theme/audio/wheel.ogg"> 
  <source src="/theme/audio/wheel.mp3"> 
</audio>

<script src="/theme/js/game.min.js?ver=1"></script>