<?
if (!$userId) {
  die('Access denied');
}

$profile = $user; 
$profileId = $user['id'];

if (isset($_GET['id']) && $level > 1) {
    $profileId = (int) $_GET['id']; 
    $smtp = $db->prepare("SELECT * FROM users WHERE id = ? LIMIT 1");
    $smtp->execute(array($profileId)); 
    $profile = $smtp->fetch(); 
}

if (!preg_match('/^(game|payments|referals)$/', $action)) {
    $action = 'payments';
}
?>
<div class="page">
  <div class="nav-menu">
    <div class="nav-menu-title">
      Профиль
    </div>
    <div class="nav-menu-left">
      <a href="/">&larr; Назад к игре</a>
    </div>
    
    <?php if ($profileId == $user['id']) { ?>
    <div class="nav-menu-right exit">
      <a href="/exit">Выход <i class="flaticon-logout"></i></a>
    </div>
    <?php } ?>
  </div>
  
  <div class="profile">
    <div class="profile-photo">
      <a href="#" onclick="modalOpen('Депозит', 'deposit')">Депозит</a>
      <a class="out" href="#" onclick="modalOpen('Вывод', 'out')">Вывод</a>
      <img src="/files/photo/big/<?php echo $profile['photo']; ?>.jpg" />
    </div>
    <div class="profile-ref">
      <div class="profile-ref-title">РЕФЕРАЛЬНАЯ ССЫЛКА</div>
      <input class="m" type="text" value="<?php echo PROTOCOL . '://' . DOMAIN . '/?ref=' . $profile['id']; ?>" />
      <div class="d">Получите <span><?php echo $conf['coins_ref']; ?>% от</span> каждого пополнение реферала</div>
    </div>
  </div>
  
  <div class="pr-cnt">
    <div class="pr-cnt-item">
      <span class="num">
        <?php 
        $smtp = $db->prepare("SELECT COUNT(*) AS tour FROM tour_rates WHERE userId = ?");
        $smtp->execute(array($profileId)); 
        $count = $smtp->fetch(); 
        echo $count['tour']; 
        ?>
      </span>
      <span>Ставок</span>
    </div>
    <div class="pr-cnt-item">
      <span class="num">
        <?php 
        $smtp = $db->prepare("SELECT COUNT(*) AS ref FROM users WHERE referalId = ?");
        $smtp->execute(array($profileId)); 
        $count = $smtp->fetch(); 
        echo $count['ref']; 
        ?>
      </span>
      <span>Рефералы</span>
    </div>
    <div class="pr-cnt-item">
      <span class="num"><?php echo $profile['balls']; ?><i class="flaticon-ruble"></i></span>
      <span>Депозиты</span>
    </div>
  </div>
  
  <div class="nav-history">
    <div class="nav-history-left">
      <a class="<?php echo ($action == 'game' ? 'active' : ''); ?>" href="/profile/game?id=<?php echo $profileId; ?>">История игр</a>
    </div>
    <div class="nav-history-center">
      <a class="<?php echo ($action == 'payments' ? 'active' : ''); ?>" href="/profile/payments?id=<?php echo $profileId; ?>">Финансы</a>
    </div>
    <div class="nav-history-right">
      <a class="<?php echo ($action == 'referals' ? 'active' : ''); ?>" href="/profile/referals?id=<?php echo $profileId; ?>">Рефералы</a>
    </div>
  </div>
  
  <?php 
  if ($action == 'game') {
      $smtp = $db->prepare("SELECT * FROM tour_rates WHERE userId = ? ORDER BY uid DESC LIMIT 10");
  } elseif ($action == 'payments') {
      $smtp = $db->prepare("SELECT * FROM payments WHERE userId = ? ORDER BY uid DESC LIMIT 10");
  }
  
  $smtp->execute(array($profileId)); 
  
  $data = array(); 
  while($post = $smtp->fetch()) 
  {
      if ($action == 'game') {
          $data[] = array(
              'uid' => $post['uid'], 
              'description' => ($post['type'] == $post['result'] ? 'Выигрыш в раунде #' . $post['tourId'] : 'Ставка в раунде #' . $post['tourId']), 
              'coins' => ($post['type'] == $post['result'] ? '<span class="blue">+' . ($post['coins'] * $perWin[$post['result']]) . 'р</span>' : 
                                                             '<span class="red">-' . $post['coins'] . 'р</span>'), 
              'time' => strTime($post['time']),
              'status' => 0,
          );           
      }
      
      elseif ($action == 'payments') {
          $data[] = array(
              'uid' => $post['uid'], 
              'description' => $post['description'], 
              'coins' => ($post['coins'] > 0 ? '<span class="blue">+' . $post['coins'] . 'р</span>' : '<span class="red">' . $post['coins'] . 'р</span>'), 
              'time' => strTime($post['time']),
              'status' => '<i class="flaticon-' . ($post['status'] == 'wait' ? 'wait' : ($post['status'] == 'success' ? 'checked' : 'error')) . '"></i>',
          );           
      }
  }
  ?>
  <div class="post">
    <?php if (!empty($data)) { ?>
    <table cellpadding="0" cellspacing="0">
      <tr>
        <td>№</td>
        <td>Описание</td>
        <td>Сумма</td>
        <td>Время</td>
        <td>Статус</td>
      </tr>
      
      <?php foreach($data AS $item) { ?>
      <tr>
        <td><?php echo $item['uid']; ?></td>
        <td><?php echo $item['description']; ?></td>
        <td><?php echo $item['coins']; ?></td>
        <td><?php echo $item['time']; ?></td>
        <td><?php echo $item['status']; ?></td>
      </tr>
      <? } ?>
    </table>
    <?php } else { ?>
    <center style="color: red;">Список пуст</center>
    <?php } ?>
  </div>
</div>