<div class="page">
  <div class="nav-menu">
    <div class="nav-menu-title">
      Соглашение
    </div>
    <div class="nav-menu-left">
      <a href="/">&larr; Назад к игре</a>
    </div>
  </div>
  
  <div class="terms-list">
    <h1>Пользовательское соглашение</h1>
    <div class="term">
    <div class="caption">1. ОБЩИЕ ПОЛОЖЕНИЯ И ТЕРМИНЫ</div>
    <ul>
        <li>1.1. Данный документ является договором на использование coinstain. Ниже приведены правила и условия использования Сервиса. Пожалуйста, внимательно ознакомьтесь с ними.</li>
        <li>1.2. Сервисом могут пользоваться пользователи достигшие 18-ти летия.</li>
        <li>1.3. Игра "coinstain.ru" - беспроигрышная онлайн игра принадлежащая организатору и находящаяся по адресу в сети интернет <a href="#">https://coinstain.ru</a>. Организатором предоставляются услуги пользователю по организацию его развлечения, досуга и отдыха.</li>
        <li>1.4 Организаторы беспроигрышной онлайн игры coinstain.ru никого насильно не заставляют проводить свой досуг на этом проекте.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">2. УЧЕТНАЯ ЗАПИСЬ, ПАРОЛЬ, БЕЗОПАСНОСТЬ</div>
      <ul>
        <li>Для открытия Учетной Записи пользователь должен авторизоваться через Вконтакте.</li>
        <li>Пользователь несет полную ответственность за хранение конфиденциальной информации, за потерю доступа к своей Учетной Записи.</li>
        <li>Кроме того, пользователь несет полную ответственность за любые совершенные им действия.</li>
        <li>Сервис не несет ответственности за поступки, совершенные Пользователем в отношении третьих лиц.</li>
        <li>Пользователь обязуется сообщить Сервису о любом несанкционированном использовании его Учетной записи</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">3. КОНФИДЕНЦИАЛЬНОСТЬ</div>
      <ul>
        <li>Сервис обязуется не редактировать и не раскрывать любую конфиденциальную информацию, предоставленную Пользователем Сервису.</li>
        <li>Сервис также обязуется хранить личный пароль пользователя в зашифрованном виде.</li>
        <li>Личные данные могут быть предоставлены третьим лицам лишь в связи с нарушением законодательства, а также оскорблением или клеветой в отношении брендов или торговых марок третьих лиц.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">4. ПОЛЬЗОВАТЕЛЬ</div>
      <ul>
        <li>Сервис оставляет за собой право в любой момент блокировать Пользователя в связи с нарушением правил использования Сервиса или законодательства.</li>
        <li>Неприемлемы попытки несанкционированного доступа, попытки нанесения вреда Сервису.</li>
        <li>При добавлении на сайт любой информации, запрещены оскорбления, вымогательства, клевета, блеф, сообщения, содержащие вредоносную информацию (в т.ч. вирусы, трояны, черви и т.п.), а также информация, способная нанести вред третьим лицам.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">5. ЗАПРЕЩЕНО</div>
      <ul>
        <li>5.1 Запрещается публиковать фальсифицированные данные</li>
        <li>5.2 Запрещается передача любых материалов, которые могут нарушить интеллектуальную собственность третьих лиц</li>
        <li>5.3 Запрещаются фальшивые публикации информации с целью получения несанкционированных доступов к информации или данным третьих лиц</li>
        <li>5.4 Запрещается публикация информации религиозного и политического характера</li>
        <li>5.5 Запрещается регистрировать более одной Учетной Записи</li>
        <li>5.6 Запрещается передавать данные для доступа к Учетной записи третьим лицам</li>
        <li>5.7 Запрещается оскорблять, обзывать, ставить под сомнение профессиональную квалификацию и добросовестность физических и юридических лиц, в том числе Пользователей Сервиса и Администрации Сервиса.</li>
        <li>5.8 Запрещается выбирать себе аватары, содержащие сцены насилия, угрозы, сквернословия, разврат (порнография), дискриминация в любых проявлениях, коммерческая реклама и рекламные тексты.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">6. ОТВЕТСТВЕННОСТЬ СТОРОН</div>
      <ul>
        <li>6.1 Пополняя баланс на сайте любыми платежными системами, вы берете на себя полную ответственность за ваши действия. Сервис никак не принуждает и не настаивает делать какие либо действия.</li>
        <li>6.2 Открывая кейс или тратя средства с вашего баланса любым другим способом, вы принимаете полную ответственность за ваши действия.</li>
        <li>6.3 Сервис не призывает и не мотивирует увеличить ваши средства.</li>
        <li>6.4 Сервис не дает 100% гарантии, что открытие кейсов даст возможность увеличить ваши средства на балансе.</li>
        <li>6.5 Сервис ни в коем случае не обязывает и не заставляет совершать тех или иных действий. Все действия, совершенные вами в Сервисе, осуществляются исключительно под вашу ответственность.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">7. ПРИНЯТИЕ УСЛОВИЙ СОГЛАШЕНИЯ (АКЦЕНТ ОФЕРТЫ)</div>
      <ul>
        <li>7.1 Используя и/или посещая любые разделы Сервисом, Вы соглашаетесь принять и соблюдать условия настоящего Соглашения и Вы соответственно a) соглашаетесь использовать средства электронной коммуникации для заключения договоров; b) Вы также отказываетесь от любых применимых в данном случае прав или требований, для которых необходима собственноручная подпись, в той степени, в которой это допускается любым применимым законодательным.</li>
        <li>7.2 Если Вы не согласны принять и далее следовать условия настоящего Соглашения, пожалуйста, не регистрируйте аккаунт и/или прекратите использовать Ваш аккаунт. Дальнейшее использование Сервиса будет рассматриваться как Ваше согласие с условиями настоящего Соглашение, которые, как мы Вас уведомили, могут периодически применяться положением.</li>
      </ul>
    </div>
    <div class="term">
      <div class="caption">8. ПРАВА</div>
      <ul>
        <li>8.1. Исключительное право на Сервис принадлежит Сервису</li>
        <li>8.2. Все права на материалы, представленные на нашем сайте, принадлежат Правообладателям</li>
      </ul>
    </div>
  </div>
</div>