<?php 

session_name('SESS');
session_start();

if (!isset($_COOKIE['audio'])) {
    setcookie('audio', '1', time() + (86400 * 30), "/");
}

$action = false;
if (!empty($_GET['action'])) {
    $action = $_GET['action'];
}

function strTime($time) {
    $vremja = date('j M Y в H:i', $time);

    $vremja = str_replace('Jan', 'Янв', $vremja);
    $vremja = str_replace('Feb', 'Фев', $vremja);
    $vremja = str_replace('Mar', 'Марта', $vremja);
    $vremja = str_replace('May', 'Мая', $vremja);
    $vremja = str_replace('Apr', 'Апр', $vremja);
    $vremja = str_replace('Jun', 'Июня', $vremja);
    $vremja = str_replace('Jul', 'Июля', $vremja);
    $vremja = str_replace('Aug', 'Авг', $vremja);
    $vremja = str_replace('Sep', 'Сент', $vremja);
    $vremja = str_replace('Oct', 'Окт', $vremja);
    $vremja = str_replace('Nov', 'Ноября', $vremja);
    $vremja = str_replace('Dec', 'Дек', $vremja);
    
    return $vremja;
}

require('db.php');

$conf = array(); 
$conf['audio'] = (isset($_COOKIE['audio']) && $_COOKIE['audio'] == '0' ? '0' : '1'); 

$conf['coins_ref'] = 5; 
$perWin = array(1 => 2, 2 => 3, 3 => 5, 4 => 50); 

$smtp = $db->prepare("SELECT * FROM bank");
$smtp->execute(); 
$_BANK = $smtp->fetch(); 

if (!isset($_BANK['bank'])) {
    $db->query("INSERT INTO bank (bank) VALUES ('0')"); 
}

define('PROTOCOL', !empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https' ? 'https' : 'http');
define('DOMAIN', $_SERVER['HTTP_HOST']);

if (!empty($_POST['token']) && preg_match('/^([0-9A-z]+)$/', $_POST['token']) && empty($_SESSION['user_id'])) {
    $tmp_data = array(
        'first_name' => 0, 
        'last_name' => 0, 
        'country' => 0, 
        'city' => 0, 
        'bdate' => 0, 
        'network' => 0, 
        'profile' => 0, 
        'sex' => 2, 
        'identity' => 0, 
        'uid' => 0,
    ); 
    
    $req = @file_get_contents('http://ulogin.ru/token.php?token=' . $_POST['token'] . '&host=' . $_SERVER['HTTP_HOST']);
    $userdata = array_merge($tmp_data, json_decode($req, true));
    
    $smtp = $db->prepare("SELECT * FROM users WHERE network = ? AND profileId = ? LIMIT 1");
    $smtp->execute(array($userdata['network'], $userdata['uid'])); 
    $isUser = $smtp->fetch(); 
    
    if (!empty($isUser['id'])) {
        $db->query("UPDATE users SET date_last = '" . time() . "' WHERE id = " . $isUser['id']); 
        $_SESSION['user_id'] = $isUser['id'];
    }
    
    elseif ($userdata['uid'] != 0) {
        $photo = md5($userdata['uid'] . $userdata['network']);
        
        $referalId = 0;
        if (!empty($_SESSION['referalId'])) {
            $referalId = (int) $_SESSION['referalId']; 
        }
        
        $stmt = $db->prepare('INSERT INTO `users` (`first_name`, `last_name`, `country`, `city`, `bdate`, `network`, `profile`, `sex`, `identity`, `profileId`, `referalId`, `level`, `date_reg`, `date_last`, `photo`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)');
        $stmt->execute(array($userdata['first_name'], $userdata['last_name'], $userdata['country'], $userdata['city'], $userdata['bdate'], $userdata['network'], $userdata['profile'], $userdata['sex'], $userdata['identity'], $userdata['uid'], $referalId, 1, time(), time(), $photo));
        
        if ($user_id = $db->lastInsertId()) {
            $_SESSION['user_id'] = $user_id;
            $photo_big = file_get_contents($userdata['photo_big']);
            $photo_small = file_get_contents($userdata['photo']);

            @file_put_contents(ROOT . 'files/photo/big/' . $photo . '.jpg', $photo_big);
            @file_put_contents(ROOT . 'files/photo/small/' . $photo . '.jpg', $photo_small);
        }        
    }
}

$level = 0; 
$userId = 0;
if (!empty($_SESSION['user_id'])) {
    $smtp = $db->prepare("SELECT * FROM users WHERE id = ?");
    $smtp->execute(array($_SESSION['user_id'])); 
    $user = $smtp->fetch(); 
    if (empty($user['id'])) {
        unset($user);
        session_destroy(); 
    } else {
        if ($user['date_last'] < (time() - 30)) {
            $db->query("UPDATE users SET date_last = '" . time() . "' WHERE id = " . $user['id']); 
        }
        $userId = $user['id'];
        $level = $user['level']; 
    }
}

if (!empty($_GET['ref'])) {
    $_SESSION['referalId'] = (int) $_GET['ref'];
    
    header('Location: /');
    exit;
}

$smtp = $db->prepare("SELECT SUM(IF(date_last > '" . (time() - 60) . "', 1, 0)) AS online, COUNT(id) AS users FROM users"); 
$smtp->execute(); 
$counters = $smtp->fetch(); 

$smtp = $db->prepare("SELECT COUNT(id) AS tour FROM tour"); 
$smtp->execute(); 
$gamesAll = $smtp->fetch(); 
$counters['tour'] = $gamesAll['tour'];