<?php

require ('system/core.php');

if (empty($user['id'])) {
    die('Access denied');
}

$amount = (!empty($_POST['amount']) && $_POST['amount'] >= 1 && $_POST['amount'] <= 10000 ? $_POST['amount'] : 100);

/**
* ID и Ключь от Payeer Merchant
*/
$m_shop = '';
$m_key = '';

$m_orderid = $user['id'] . '_' . time();
$m_amount = number_format($amount, 2, '.', '');
$m_curr = 'RUB';
$m_desc = base64_encode('Покупка коинов CoinsTain');

$arHash = array(
    $m_shop,
    $m_orderid,
    $m_amount,
    $m_curr,
    $m_desc
);

$arHash[] = $m_key;

$sign = strtoupper(hash('sha256', implode(':', $arHash)));
?>
<body onload='document.forms.payeer.submit()'>
  <form method="post" name="payeer" action="https://payeer.com/merchant/">
    <input type="hidden" name="m_shop" value="<?= $m_shop?>">
    <input type="hidden" name="m_orderid" value="<?= $m_orderid?>">
    <input type="hidden" name="m_amount" value="<?= $m_amount?>">
    <input type="hidden" name="m_curr" value="<?= $m_curr?>">
    <input type="hidden" name="m_desc" value="<?= $m_desc?>">
    <input type="hidden" name="m_sign" value="<?= $sign?>">
    <input type="submit" name="m_process" value="Перейти к оплате" />
  </form>
</body>