<!DOCTYPE html>
<html itemscope="" itemtype="http://schema.org/WebPage" lang="ru">
<head>
<meta charset="utf-8" />
<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="/theme/js/jquery-ui.min.js"></script>
<script src="//ulogin.ru/js/ulogin.js"></script>
<meta name="telderi" content="6ce6161c0725448b89c13de06eefd3c1" />
<title><?php echo !empty($title) ? $title : 'CoinsTain - Удача на твоей стороне!'; ?></title>
<meta name="description" content="Онлайн игра на коины, с выводом реальных денег." />
<meta name="keywords" content="лотерея, казино, рулетка, деньги" />
<link rel="apple-touch-icon" sizes="57x57" href="/theme/favicon/apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="/theme/favicon/apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="/theme/favicon/apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="/theme/favicon/apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="/theme/favicon/apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="/theme/favicon/apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="/theme/favicon/apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="/theme/favicon/apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="/theme/favicon/apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="/theme/favicon/android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="/theme/favicon/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="/theme/favicon/favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="/theme/favicon/favicon-16x16.png">
<link rel="manifest" href="/theme/favicon/manifest.json">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/theme/favicon/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<?
$version = array(); 
$version['admin'] = md5(filemtime(ROOT . 'theme/css/admin.css')); 
$version['main'] = md5(filemtime(ROOT . 'theme/css/main.css')); 
$version['flaticon'] = md5(filemtime(ROOT . 'theme/css/flaticon.css')); 
?> 
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="generator" content="alex-borisi (https://weblancer.net/users/alex-borisi/)" />
<link href="https://fonts.googleapis.com/css?family=PT+Sans:400,700&amp;subset=cyrillic,cyrillic-ext" rel="stylesheet">
<link rel="stylesheet" href="/theme/css/flaticon.css?v=<?php echo $version['flaticon']; ?>" />
<link rel="stylesheet" href="/theme/css/main.css?v=<?php echo $version['main']; ?>" />
<?php if ($level > 1) { ?>
<link rel="stylesheet" href="/theme/css/admin.css?v=<?php echo $version['admin']; ?>" />
<?php } ?>

<script>
function modalClose() {
    $('.modal, .modal-window-content').css({display: 'none'});
}
function modalOpen(title, type) {
    $('.modal').css({display: 'block'});
    $('.modal-window').css({marginTop: '-700px'});
    $('#modal-title').text(title);
    
    $('.modal-window').animate({
        marginTop: '50px',
    }, 300);    
    
    $('#' + type).css({display: 'block'}); 
}

function checked(th) {
    $('label').attr('class', '');
    $(th).attr('class', 'active');
}
</script>
</head>

<body>
<div class="modal" style="display: none;">
  <div class="modal-close" onclick="modalClose()"></div>
  <div class="modal-window">
    <div class="modal-window-title">
      <span id="modal-title">Депозит</span> <a href="#" onclick="modalClose()">&times;</a>
    </div>
    <div class="modal-window-content" id="deposit" style="display: none;">
      <form method="post" action="/merchant.php">
        <div class="input-money">
          <span class="input-money-title">Сумма (<i class="flaticon-ruble"></i>)</span>
          <div class="ldf"><input name="amount" class="m" type="text" value="100"></div>
          <div>
            Макс. сумма: 10000.00<br />
            Мин. сумма: 1.00
          </div>
        </div>
        
        <h3 class="h3">Мы принимаем</h3>
        
        <div class="payments">
          <div>
            <img src="/theme/img/payment-qiwi.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-yandex.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-megafon.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-mts.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-tele2.svg" />
          </div>
        </div>
        
        <div class="payments">
          <div>
            <img src="/theme/img/payment-master.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-visa.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-beeline.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-webmoney.svg" />
          </div>
          <div>
            <img src="/theme/img/payment-payeer.svg" />
          </div>
        </div>
        
        <div class="modal-submit">
          <input type="submit" value="Пополнить баланс" />
        </div>
      </form>
    </div>
    <div class="modal-window-content" id="out" style="display: none;">
      <form id="payments-out" method="post">
        <div class="input-money">
          <span class="input-money-title">Сумма (<i class="flaticon-ruble"></i>)</span>
          <div class="ldf">Сумма<br /><input name="amount" class="m" type="text" value="50"></div>
          <div class="ldf">Кошелек<br /><input name="purse" class="m" type="text" value="" placeholder="Номер кошелька"></div>
        </div>
        
        <h3 class="h3">Выберите метод оплаты</h3>
        
        <div class="payments">
          <div>
            <label class="active" onclick="checked(this)">
            <input type="radio" name="method" value="qiwi" checked="" />
            <img src="/theme/img/payment-qiwi.svg" />
            </label>
          </div>
          <div>
            <label onclick="checked(this)">
            <input type="radio" name="method" value="yandex" />
            <img src="/theme/img/payment-yandex.svg" />
            </label>
          </div>
          <div>
            <label onclick="checked(this)">
            <input type="radio" name="method" value="payeer" />
            <img src="/theme/img/payment-payeer.svg" />
            </label>
          </div>
        </div>
        
        <div class="modal-submit">
          <input type="submit" value="Вывести средства" />
        </div>
        
        <script>
        $('#payments-out').submit(function(e) {
            var $form = $(this);
            
            $.ajax({
                type: 'post',
                url: '/api.php',
                data: $form.serialize(),
                dataType: 'json', 
            }).success(function(data) {
                if (data.status == 'success') {
                    $('#balance').text(data.balance); 
                    alert('Вы успешно заказали выплату средств!');
                    modalClose();
                }
                
                if (data.status == 'error') {
                    alert(data.msg)
                }
            });
            
            return false;
        });
        </script>
        
        <div style="color: red; font-size: x-small; padding-left: 20px; padding-bottom: 20px;">
          В зависимости от платежной системы, взымается комиссия от 1% до 7%
        </div>
      </form>
    </div>
    
    <div class="modal-window-content" id="auth" style="display: none;">
      Чтобы играть, вам необходимо авторизоваться через одну из кнопок социальных сетей, которые расположены в правом-верхнем углу экрана!
    </div>
  </div>
</div>
<header>
  <div class="logo">
    <a href="/"><img src="/theme/img/logo.png" /></a>
    <i onclick="setAudio(this); return false;" class="flaticon-multimedia<?php echo ($conf['audio'] ? '-1' : ''); ?>"></i>
  </div>
  
  <div class="menu">
    <ul>
      <li class="<?php echo ($func == 'index' ? 'active' : ''); ?>"><a href="/">Главная</a></li>
      <li class="<?php echo ($func == 'faq' ? 'active' : ''); ?>"><a href="/faq">Вопросы</a></li>
      <li class="<?php echo ($func == 'support' ? 'active' : ''); ?>"><a href="/support">Контакты</a></li>
      <?php if ($level == 8) { ?>
      <li class="admin <?php echo ($func == 'admin' ? 'active' : ''); ?>"><a href="/admin">Админка</a></li>
      <?php } ?>
    </ul>
  </div>
  
  <?php if (!isset($user)) { ?>
  <div class="login">
    <div id="uLogindcfc418f" data-ulogin="display=panel;fields=first_name,last_name,sex,photo,photo_big,bdate;optional=city,country;mobilebuttons=0;sort=default;providers=vkontakte,odnoklassniki;redirect_uri=http%3A%2F%2Fcoinstain.ru%2F"></div>
  </div>
  <?php } else { ?>
  <div class="login user">
    <table class="user" cellpadding="0" cellspacing="0" border="0">
      <tr>
        <td class="nav">
          <a href="/profile">Личный кабинет</a><br />
          <div class="balance">
            <span class="balance" id="balance"><?php echo round($user['coins'], 2); ?></span>
            <i class="flaticon-database"></i>
          </div>
          
          <a class="small" href="#" onclick="modalOpen('Депозит', 'deposit')">Депозит</a> / <a class="small" href="#" onclick="modalOpen('Вывод', 'out')">Вывод</a><br />
        </td>
        <td class="avatar"><img src="/files/photo/small/<?php echo $user['photo']; ?>.jpg" /></td>
      </tr>
    </table>
  </div>
  <?php } ?>
  
</header>

<article>
<div class="content" id="content" data-user="<?php echo $userId; ?>">